spandsp: v42bis_comp_state_t Struct Reference

spandsp 0.0.6

v42bis_comp_state_t Struct Reference

`#include <v42bis.h>`

## Public Attributes
int | v42bis_parm_p0
| Compression enabled.
int | compression_mode
| Compression mode.
put_msg_func_t | handler
| Callback function to handle output data.
void * | user_data
| An opaque pointer passed in calls to the data handler.
int | max_output_len
| The maximum amount to be passed to the data handler.
int | transparent
| TRUE if we are in transparent (i.e. uncompressable) mode.
uint16_t | v42bis_parm_c1
| Next empty dictionary entry.
uint16_t | v42bis_parm_c2
| Current codeword size.
uint16_t | v42bis_parm_c3
| Threshold for codeword size change.
uint16_t | update_at
| The current update point in the dictionary.
uint16_t | last_matched
| The last entry matched in the dictionary.
uint16_t | last_added
| The last entry added to the dictionary.
int | v42bis_parm_n2
| Total number of codewords in the dictionary.
int | v42bis_parm_n7
| Maximum permitted string length.
v42bis_dict_node_t | dict [V42BIS_MAX_CODEWORDS]
| The dictionary.
uint8_t | string [V42BIS_MAX_STRING_SIZE]
| The octet string in progress.
int | string_length
| The current length of the octet string in progress.
int | flushed_length
| The amount of the octet string in progress which has already been flushed out of the buffer.
uint16_t | compression_performance
| Compression performance metric.
uint32_t | bit_buffer
| Outgoing bit buffer (compression), or incoming bit buffer (decompression).
int | bit_count
| Outgoing bit count (compression), or incoming bit count (decompression).
uint8_t | output_buf [V42BIS_MAX_OUTPUT_LENGTH]
| The output composition buffer.
int | output_octet_count
| The length of the contents of the output composition buffer.
uint8_t | escape_code
| The current value of the escape code.
int | escaped
| TRUE if we just hit an escape code, and are waiting for the following octet.

## Detailed Description

V.42bis compression or decompression. This defines the working state for a single instance of V.42bis compression or decompression.

The documentation for this struct was generated from the following file:

- private/v42bis.h